# Uses of Class
org.apache.avro.ipc.HandshakeRequest

Packages that use HandshakeRequest
Package
Description
org.apache.avro.ipc
Support for inter-process calls.

## Uses of HandshakeRequest in org.apache.avro.ipc

Methods in org.apache.avro.ipc that return HandshakeRequest
Modifier and Type
Method
Description
`HandshakeRequest`
HandshakeRequest.Builder.`build()`
`static HandshakeRequest`
HandshakeRequest.`fromByteBuffer(ByteBuffer b)`
Deserializes a HandshakeRequest from a ByteBuffer.
`HandshakeRequest`
RPCContext.`getHandshakeRequest()`
Get the handshake request of this RPC.
Methods in org.apache.avro.ipc that return types with arguments of type HandshakeRequest
Modifier and Type
Method
Description
`static org.apache.avro.message.BinaryMessageDecoder<HandshakeRequest>`
HandshakeRequest.`createDecoder(org.apache.avro.message.SchemaStore resolver)`
Create a new BinaryMessageDecoder instance for this class that uses the specified `SchemaStore`.
`static org.apache.avro.message.BinaryMessageDecoder<HandshakeRequest>`
HandshakeRequest.`getDecoder()`
Return the BinaryMessageDecoder instance used by this class.
`static org.apache.avro.message.BinaryMessageEncoder<HandshakeRequest>`
HandshakeRequest.`getEncoder()`
Return the BinaryMessageEncoder instance used by this class.
Methods in org.apache.avro.ipc with parameters of type HandshakeRequest
Modifier and Type
Method
Description
`static HandshakeRequest.Builder`
HandshakeRequest.`newBuilder(HandshakeRequest other)`
Creates a new HandshakeRequest RecordBuilder by copying an existing HandshakeRequest instance.
`void`
RPCContext.`setHandshakeRequest(HandshakeRequest handshakeRequest)`
Set the handshake request of this RPC.